function fcnbdPGA(hObject, eventdata, parentfig, Empty_Button, Buttons, AxesD, AxesSVD, AxesSOL, Recondition)
data = get(Empty_Button,'UserData');
SelTyp = get(gcbf, 'SelectionType');

if strcmp(SelTyp,'alt') == 1
    pt = get(hObject, 'CurrentPoint');
    sz = get(hObject, 'Position');
    x = pt(1,1:2)./sz(1,3:4);
    
    posD   = get(AxesD, 'Position');
    posSVD = get(AxesSVD, 'Position');
    posSOL = get(AxesSOL, 'Position');
    
    if (data.isdata == 1) && (posD(1) < x(1)) && (x(1) < posD(1)+posD(3)) && (posD(2) < x(2)) && (x(2) < posD(2)+posD(4))
        tmpc = figure;
        copyobj(AxesD,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'data');
        ylabel(tmpa, 'absorption');
        
    elseif (data.issvd == 1) && (posSVD(1) < x(1)) && (x(1) < posSVD(1)+posSVD(3)) && (posSVD(2) < x(2)) && (x(2) < posSVD(2)+posSVD(4))
        tmpc = figure;
        copyobj(AxesSVD,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        title(tmpa, 'SVD information');
        
    elseif ((data.issol == 1) || (data.isSOL == 1)) && (posSOL(1) < x(1)) && (x(1) < posSOL(1)+posSOL(3)) && (posSOL(2) < x(2)) && (x(2) < posSOL(2)+posSOL(4))
        tmpc = figure;
        copyobj(AxesSOL,tmpc);
        tmpa = get(tmpc,'CurrentAxes');
        set(tmpa,'position',[0.15 0.15 0.75 0.75]);
        
    end
else
    if (isfield(data,'isdata') == 1) && (data.isdata == 1)
        pt = get(hObject, 'CurrentPoint');
        sz = get(hObject, 'Position');
        x = pt(1,1:2)./sz(1,3:4);
        
        posD = get(AxesD, 'Position');
        
        if (posD(1) < x(1)) && (x(1) < posD(1)+posD(3)) && (posD(2) < x(2)) && (x(2) < posD(2)+posD(4))
            if data.isamp == 1
                onoffButton(Buttons,[],[4 17]);
                set(Buttons(17),'BackgroundColor', 0.94*[1 1 1])
            end
            data.isamp = 0;
            
            val = get(AxesD, 'CurrentPoint');
            data.bd.dwn = val(1,1:2);
            
            data.bdislive = 1;
            data.isamlplifier = 0;
            
            set(Empty_Button,'UserData',data);
        end
    end
end
